#extension GL_EXT_buffer_reference : require

struct Vertex {
	vec2 pos[4];
	vec2 tex_pos[4];
};

layout(buffer_reference, buffer_reference_align = 8, std430) readonly buffer Vertices {
	Vertex vertices[];
};

layout(push_constant, std430) uniform Data {
	layout(offset = 0) Vertices vertices;
	layout(offset = 8) float mul;
	layout(offset = 12) float size_x;
	layout(offset = 16) float size_y;
	layout(offset = 20) float corner_radius_tl;
	layout(offset = 24) float corner_radius_tr;
	layout(offset = 28) float corner_radius_br;
	layout(offset = 32) float corner_radius_bl;
	layout(offset = 36) float scale;
} data;
